<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        schema::create('voucher', function (Blueprint $table) {
            $table->id();
            $table->string('codice');
            $table->string('stato');
            $table->decimal('importo', 10, 2);
            $table->bigInteger('attivita_id')->unsigned()->nullable();
            $table->string('Nominativo');
            $table->string('email');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('voucher');
    }
};
